## Apache Zeta Components Manual :: Docs For Class ezcReflection

### Reflection::ezcReflection

### Class ezcReflection

Holds type factory for generating type objects by given name

Source for this file: /Reflection/src/reflection.php

Version: | //autogen//

### Member Variables

protected static ezcReflectionDocCommentParser | `$docParser`
protected static ezcReflectionTypeFactory | `$reflectionTypeFactory`

### Method Summary

public static ezcReflectionClass[] | `getClasses( )` Returns an array with the ezcReflectionClass objects for all declared classes
public static ezcReflectionDocCommentParser | `getDocCommentParser( )` Returns a copy of the current documentation parser used by all ezcReflection classes
public static ezcReflectionFunction[] | `getFunctions( )` Returns an array with the ezcReflectionFunction objects for all internal and user-defined functions
public static ezcReflectionClass[] | `getInterfaces( )` Returns an array with the ezcReflectionClass objects for all declared interfaces
public static ezcReflectionFunction[] | `getInternalFunctions( )` Returns an array with the ezcReflectionFunction objects for all available internal functions
public static ezcReflectionTypeFactory | `getReflectionTypeFactory( )` Returns a copy of the current factory used to create type objects
public static ezcReflectionType | `getTypeByName( $typeName )` Returns a ezcReflectionType object for the given type name
public static ezcReflectionFunction[] | `getUserDefinedFunctions( )` Returns an array with the ezcReflectionFunction objects for all user-defined functions
public static void | `setDocCommentParser( $docParser )` Sets the documentation parser used by all ezcReflection classes
public static void | `setReflectionTypeFactory( $factory )` Sets the factory used to create type objects

### Methods

#### getClasses

static ezcReflectionClass[] getClasses( )

Returns an array with the ezcReflectionClass objects for all declared classes

#### getDocCommentParser

static ezcReflectionDocCommentParser getDocCommentParser( )

Returns a copy of the current documentation parser used by all ezcReflection classes

#### getFunctions

static ezcReflectionFunction[] getFunctions( )

Returns an array with the ezcReflectionFunction objects for all internal and user-defined functions

#### getInterfaces

static ezcReflectionClass[] getInterfaces( )

Returns an array with the ezcReflectionClass objects for all declared interfaces

#### getInternalFunctions

static ezcReflectionFunction[] getInternalFunctions( )

Returns an array with the ezcReflectionFunction objects for all available internal functions

#### getReflectionTypeFactory

static ezcReflectionTypeFactory getReflectionTypeFactory( )

Returns a copy of the current factory used to create type objects

#### getTypeByName

static ezcReflectionType getTypeByName( string $typeName )

Returns a ezcReflectionType object for the given type name

##### Parameters:

Name | Type | Description
--- | --- | ---
`$typeName` | string |

#### getUserDefinedFunctions

static ezcReflectionFunction[] getUserDefinedFunctions( )

Returns an array with the ezcReflectionFunction objects for all user-defined functions

#### setDocCommentParser

static void setDocCommentParser( ezcReflectionDocCommentParser $docParser )

Sets the documentation parser used by all ezcReflection classes

##### Parameters:

Name | Type | Description
--- | --- | ---
`$docParser` | ezcReflectionDocCommentParser | Parser for documentation blocks

#### setReflectionTypeFactory

static void setReflectionTypeFactory( ezcReflectionTypeFactory $factory )

Sets the factory used to create type objects

##### Parameters:

Name | Type | Description
--- | --- | ---
`$factory` | ezcReflectionTypeFactory | Factory for type objects

Documentation generated by phpDocumentor 1.4.3